package archetype

type BuildStatus struct {
	Success bool
	Message string
}

type ConfigOption struct {
	Name string
	Type string
}

type Adapter interface {
	Init(cfg *Config)
	Name() string
	EditableSlugs() bool
	BuildOptions() []string
	GetConfig() map[ConfigOption]string
	SetConfig(map[ConfigOption]string) error
	ListPages() map[string]string
	GetPage(string) (Page, error)
	FormatPage(string) string
	FormattingHelp() string
	CreatePage(slug, title, content string) error
	SavePage(oldSlug, newSlug, title, content string) error
	DeletePage(slug string) error
	Build(buildOptions map[string][]string) BuildStatus
}
